GET /alerts

mbta.com:boston-mbta-transit

Summary:
Operation ID: ApiWeb.AlertController.index
Auth: unknown

Parameters (17)

fields[alert] (string, query, optional)

Fields to include with the response. Multiple fields **MUST** be a comma-separated (U+002C COMMA, ",") list. Note that fields can also be selected for included data types: see the [V3 API Best Practices](https://www.mbta.com/developers/v3-api/best-practices) for an example.

filter[activity] (string, query, optional, default: BOARD,EXIT,RIDE)

Filter to alerts for only those activities (`/data/{index}/attributes/informed_entity/activities/{activity_index}`) matching. Multiple activities **MUST** be a comma-separated (U+002C COMMA, ",") list. An activity affected by an alert. | Value | Description ...

filter[banner] (string, query, optional)

When combined with other filters, filters by alerts with or without a banner. **MUST** be "true" or "false".

filter[datetime] (string, query, optional)

Filter to alerts that are active at a given time (ISO8601 format). Additionally, the string "NOW" can be used to filter to alerts that are currently active.

filter[direction_id] (string, query, optional)

Filter by direction of travel along the route. Must be used in conjuction with `filter[route]` to apply. The meaning of `direction_id` varies based on the route. You can programmatically get the direction names from `/routes` `/data/{index}/attributes/direction_names` or `/routes/{id}` `/data/attri...

Constraints: {'enum': ['0', '1']}

filter[facility] (string, query, optional)

Filter by `/data/{index}/relationships/facility/data/id`. Multiple IDs **MUST** be a comma-separated (U+002C COMMA, ",") list.

filter[id] (string, query, optional)

Filter by multiple IDs. Multiple IDs **MUST** be a comma-separated (U+002C COMMA, ",") list.

filter[lifecycle] (string, query, optional)

Filters by an alert's lifecycle. **MUST** be a comma-separated (U+002C COMMA, ",") list.

filter[route] (string, query, optional)

Filter by `/data/{index}/relationships/route/data/id`. Multiple IDs **MUST** be a comma-separated (U+002C COMMA, ",") list.

filter[route_type] (string, query, optional)

Filter by route_type: https://gtfs.org/documentation/schedule/reference/#routestxt. Multiple `route_type` **MUST** be a comma-separated (U+002C COMMA, ",") list.

Constraints: {'enum': ['0', '1', '2', '3', '4']}

filter[severity] (string, query, optional)

Filters alerts by list of severities. **MUST** be a comma-separated (U+002C COMMA, ",") list. Example: filter[severity]=3,4,10 returns alerts with severity levels 3, 4 and 10.

filter[stop] (string, query, optional)

Filter by `/data/{index}/relationships/stop/data/id`. Multiple IDs **MUST** be a comma-separated (U+002C COMMA, ",") list. Parent station IDs are treated as though their child stops were also included.

filter[trip] (string, query, optional)

Filter by `/data/{index}/relationships/trip/data/id`. Multiple IDs **MUST** be a comma-separated (U+002C COMMA, ",") list.

include (string, query, optional)

Relationships to include. * `stops` * `routes` * `trips` * `facilities` The value of the include parameter **MUST** be a comma-separated (U+002C COMMA, ",") list of relationship paths. A relationship path is a dot-separated (U+002E FULL-STOP, ".") list of relationship names. [JSONAPI "include" beh...

page[limit] (integer, query, optional)

Max number of elements to return

page[offset] (integer, query, optional)

Offset (0-based) of first element in the page

sort (string, query, optional)

Results can be [sorted](http://jsonapi.org/format/#fetching-sorting) by the id or any `/data/{index}/attributes` key. Assumes ascending; may be prefixed with '-' for descending | JSON pointer | Direction | `sort` | |--------------|-----------|------------| | `/data/{index}/attributes/active_per...

Constraints: {'enum': ['active_period', '-active_period', 'banner', '-banner', 'cause', '-cause', 'closed_timestamp', '-closed_timestamp', 'created_at', '-created_at', 'description', '-description', 'duration_certainty', '-duration_certainty', 'effect', '-effect', 'effect_name', '-effect_name', 'header', '-header', 'image', '-image', 'image_alternative_text', '-image_alternative_text', 'informed_entity', '-informed_entity', 'last_push_notification_timestamp', '-last_push_notification_timestamp', 'lifecycle', '-lifecycle', 'reminder_times', '-reminder_times', 'service_effect', '-service_effect', 'severity', '-severity', 'short_header', '-short_header', 'timeframe', '-timeframe', 'updated_at', '-updated_at', 'url', '-url']}

No probe data for this endpoint yet.